Linux -сборник рецептов


Решение


Существует несколько команд, которые могут пригодиться для решения этой задачи; в этом разделе они перечисляются в том порядке, в котором их стоит попробовать.

Допустим, проблемы возникли с пакетом libpam-modules, который не желает обновляться:

# apt-get install libpam-modules ... The following packages have unmet dependencies: libpam-modules: Depends: libdb3 (>=3.2.9-19.1) but 3.2.9-19 is to be installed E: Broken packages

Если вы работаете в смешанной системе, для начала попробуйте указать версию:

# apt-get install -t stable libpam-modules

Если это не помогает или система не является смешанной, попробуйте воспользоваться системой разрешения конфликтов Debian:

# apt-get -f install

Затем выполните команду:

# dpkg --configure -a

И снова повторите команду:

# apt-get -f install

Если будет получен следующий ответ, значит, попытка завершилась неудачей:

Reading Package Lists... Done Building Dependency Tree... Done 0 upgraded, 0 newly installed. 0 to remove and 1 not upgraded.

Теперь проверьте, что произойдет при удалении существующего пакета libpam-modules:

# apt-get remove --dry-run libpam-modules Reading Package Lists... Done Building Dependency Tree... Done The following packages will be REMOVED:







Начало  Назад  Вперед


Книжный магазин